<?xml version="1.0" encoding="UTF-8" ?>
<odoo>
    <record id="view_mrp_production_workorder_tray_form_inherit_sf1" model="ir.ui.view">
        <field name="name">production.workorder.dlm</field>
        <field name="model">mrp.workorder</field>
        <field name="inherit_id" ref="sf_manufacturing.view_mrp_production_workorder_tray_form_inherit_sf"/>
        <field name="arch" type="xml">
            <xpath expr="//page[1]" position="before">
                <page string="开料要求" attrs='{"invisible": [("routing_type","!=","切割")]}'>
                    <group>
                        <group>
                            <field name="product_tmpl_id_materials_id" widget="many2one"/>
                            <field name="product_tmpl_id_materials_type_id" widget="many2one"/>

                        </group>
                        <group>
                            <field name="product_tmpl_id_length"/>
                            <field name="product_tmpl_id_width"/>
                            <field name="product_tmpl_id_height"/>
                        </group>
                    </group>
                </page>
            </xpath>
        </field>
    </record>

</odoo>